Show / Hide Table of Contents

# Struct AtkComponentBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkComponentBase

### Fields

| Improve this Doc View Source

#### AtkEventListener

##### Declaration

    public AtkEventListener AtkEventListener

##### Field Value

Type | Description
--- | ---
AtkEventListener |

| Improve this Doc View Source

#### OwnerNode

##### Declaration

    public AtkComponentNode*OwnerNode

##### Field Value

Type | Description
--- | ---
AtkComponentNode* |

| Improve this Doc View Source

#### ULDData

##### Declaration

    public ULDData ULDData

##### Field Value

Type | Description
--- | ---
ULDData |